Chinaunix首页 | 论坛 | 博客
  • 博客访问: 159186
  • 博文数量: 19
  • 博客积分: 45
  • 博客等级: 民兵
  • 技术积分: 241
  • 用 户 组: 普通用户
  • 注册时间: 2012-05-23 20:00
个人简介

如明日将死那样生活,如永远不死那样求知。

文章分类

全部博文(19)

文章存档

2018年(2)

2017年(3)

2015年(2)

2013年(11)

2012年(1)

我的朋友

分类: Python/Ruby

2018-06-24 19:32:12

在安装pyinstaller时出现如下报错:

pip install pyinstaller
Collecting pyinstaller
  Downloading (3.5MB)
    92% |█████████████████████████████▌  | 3.2MB 27kB/s eta 0:00:10Exception:
Traceback (most recent call last):
  File "d:\program files\python36\lib\site-packages\pip\_vendor\requests\packages\urllib3\response.py", line 232, in _error_catcher
    yield
  File "d:\program files\python36\lib\site-packages\pip\_vendor\requests\packages\urllib3\response.py", line 314, in read
    data = self._fp.read(amt)
  File "d:\program files\python36\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 60, in read
    data = self.__fp.read(amt)
  File "d:\program files\python36\lib\http\client.py", line 449, in read
    n = self.readinto(b)
  File "d:\program files\python36\lib\http\client.py", line 493, in readinto
    n = self.fp.readinto(b)
  File "d:\program files\python36\lib\socket.py", line 586, in readinto
    return self._sock.recv_into(b)
  File "d:\program files\python36\lib\ssl.py", line 1009, in recv_into
    return self.read(nbytes, buffer)
  File "d:\program files\python36\lib\ssl.py", line 871, in read
    return self._sslobj.read(len, buffer)
  File "d:\program files\python36\lib\ssl.py", line 631, in read
    v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:\program files\python36\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "d:\program files\python36\lib\site-packages\pip\commands\install.py", line 335, in run
    wb.build(autobuilding=True)
  File "d:\program files\python36\lib\site-packages\pip\wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "d:\program files\python36\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "d:\program files\python36\lib\site-packages\pip\req\req_set.py", line 620, in _prepare_file
    session=self.session, hashes=hashes)
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 821, in unpack_url
    hashes=hashes
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 659, in unpack_http_url
    hashes)
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 882, in _download_http_url
    _download_url(resp, link, content_file, hashes)
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 603, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "d:\program files\python36\lib\site-packages\pip\utils\hashes.py", line 46, in check_against_chunks
    for chunk in chunks:
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 571, in written_chunks
    for chunk in chunks:
  File "d:\program files\python36\lib\site-packages\pip\utils\ui.py", line 139, in iter
    for x in it:
  File "d:\program files\python36\lib\site-packages\pip\download.py", line 560, in resp_read
    decode_content=False):
  File "d:\program files\python36\lib\site-packages\pip\_vendor\requests\packages\urllib3\response.py", line 357, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "d:\program files\python36\lib\site-packages\pip\_vendor\requests\packages\urllib3\response.py", line 324, in read
    flush_decoder = True
  File "d:\program files\python36\lib\contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "d:\program files\python36\lib\site-packages\pip\_vendor\requests\packages\urllib3\response.py", line 237, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

可以通过修改超时时间或者指定国内的安装源来解决。

修改超时时间:

pip --default-timeout=1000 install -U pip

指定安装源进行安装:

pip install pyinstaller -i

阅读(2520) | 评论(0) | 转发(0) |
0

上一篇:codis dashboard启动失败

下一篇:avro-c编译

给主人留下些什么吧!~~